<script lang="ts">
  import CardBase from "./CardBase.svelte";
</script>

<CardBase>
  <div class="character-card-back">
    <div class="character-card-back-icon emoji">🎭</div>
  </div>
</CardBase>

<style>
  .character-card-back {
    position: absolute;
    top: 0.75em;
    bottom: 0.75em;
    left: 0.75em;
    right: 0.75em;
    border-radius: 4.1667% / 2.8333%;

    background: repeating-linear-gradient(
        45deg,
        #00000010,
        #00000010 5%,
        #00000020 5%,
        #00000020 10%
      ),
      repeating-linear-gradient(
        -45deg,
        #00000010,
        #00000010 5%,
        #00000020 5%,
        #00000020 10%
      ),
      radial-gradient(hsl(280, 17%, 48%), hsl(280, 13%, 37%));
  }

  .character-card-back-icon {
    font-size: 5em;
    height: 1.5em;
    width: 1.5em;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    filter: sepia(0.9) hue-rotate(230deg) brightness(0.8);
  }
</style>
